/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.filetransfer.util;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Roland NAUDIN - EBM WebSourcing
 *
 */
public class FileTransferUtils {
    
    /**
     * Extract the place holders.
     * 
     * @param entryValue
     * @return List of place holders
     */
    private static List<String> extractPlaceHolderKeys(String entryValue) {
        List<String> result = new ArrayList<String>();
        String[] keys = entryValue.split("[${]");
        for (String string : keys) {
            int index = string.indexOf("}");
            if (index > 0) {
                result.add(string.substring(0, index));
            }
        }
        return result;
    }

    /**
     * Evaluate a file path to resolve environment variables (place holders).
     */
    public static String evaluateFilePath(String filePath) {
        String result = filePath;
        List<String> keys = extractPlaceHolderKeys(filePath);
        for (String key : keys) {
            result = filePath.replace("${" + key + "}", System.getenv(key));
        }

        return result;
    }

}
